#include <bits/stdc++.h>
//#define int long long
#define F first
#define S second
#define pii pair <int, int>
#define ins insert
#define pb push_back
#define ld long double
using namespace std;
bool smaller(int32_t x);
int find_number(int32_t MAX)
{
    int l = 1, r = MAX, ans = 1;
    while (l <= r)
    {
        int32_t mid = (l + r) / 2;
        if (smaller(mid))
        {
            r = mid - 1;
        }
        else
        {
            l = mid + 1;
            ans = mid;
        }
    }
    return ans;
}

